#include <kdialog.h>
#include <tdelocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './ratingdisplaywidget.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "ratingdisplaywidget.h"

#include <ntqvariant.h>
#include <kpushbutton.h>
#include <tdelistview.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a RatingDisplayWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
RatingDisplayWidget::RatingDisplayWidget( TQWidget* parent, const char* name, WFlags fl )
    : TQWidget( parent, name, fl )
{
    if ( !name )
	setName( "RatingDisplayWidget" );
    setPaletteBackgroundColor( TQColor( 250, 248, 241 ) );
    RatingDisplayWidgetLayout = new TQHBoxLayout( this, KDialog::marginHint(), KDialog::spacingHint(), "RatingDisplayWidgetLayout"); 

    layout4 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "layout4"); 
    spacer2_2 = new TQSpacerItem( 21, 20, TQSizePolicy::Minimum, TQSizePolicy::Fixed );
    layout4->addItem( spacer2_2 );

    icon = new TQLabel( this, "icon" );
    icon->setMinimumSize( TQSize( 76, 0 ) );
    icon->setAlignment( int( TQLabel::AlignCenter ) );
    layout4->addWidget( icon );
    spacer2 = new TQSpacerItem( 21, 80, TQSizePolicy::Minimum, TQSizePolicy::Expanding );
    layout4->addItem( spacer2 );
    RatingDisplayWidgetLayout->addLayout( layout4 );

    layout5 = new TQVBoxLayout( 0, 0, KDialog::spacingHint(), "layout5"); 

    raterName = new TQLabel( this, "raterName" );
    raterName->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)5, 0, 0, raterName->sizePolicy().hasHeightForWidth() ) );
    TQFont raterName_font(  raterName->font() );
    raterName_font.setBold( TRUE );
    raterName->setFont( raterName_font ); 
    layout5->addWidget( raterName );

    criteriaListView = new TDEListView( this, "criteriaListView" );
    criteriaListView->addColumn( tr2i18n( "Criteria" ) );
    criteriaListView->addColumn( tr2i18n( "Stars" ) );
    criteriaListView->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 1, criteriaListView->sizePolicy().hasHeightForWidth() ) );
    criteriaListView->setProperty( "selectionMode", "NoSelection" );
    layout5->addWidget( criteriaListView );

    comment = new TQLabel( this, "comment" );
    comment->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)7, (TQSizePolicy::SizeType)7, 0, 0, comment->sizePolicy().hasHeightForWidth() ) );
    comment->setAlignment( int( TQLabel::WordBreak | TQLabel::AlignTop ) );
    layout5->addWidget( comment );

    layout4_2 = new TQHBoxLayout( 0, 0, KDialog::spacingHint(), "layout4_2"); 
    spacer = new TQSpacerItem( 150, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout4_2->addItem( spacer );

    buttonRemove = new KPushButton( this, "buttonRemove" );
    layout4_2->addWidget( buttonRemove );

    buttonEdit = new KPushButton( this, "buttonEdit" );
    layout4_2->addWidget( buttonEdit );
    layout5->addLayout( layout4_2 );
    RatingDisplayWidgetLayout->addLayout( layout5 );
    languageChange();
    resize( TQSize(533, 211).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
RatingDisplayWidget::~RatingDisplayWidget()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void RatingDisplayWidget::languageChange()
{
    icon->setText( TQString::null );
    raterName->setText( tr2i18n( "Rater" ) );
    criteriaListView->header()->setLabel( 0, tr2i18n( "Criteria" ) );
    criteriaListView->header()->setLabel( 1, tr2i18n( "Stars" ) );
    comment->setText( tr2i18n( "Comments" ) );
    buttonRemove->setText( tr2i18n( "Remove" ) );
    buttonEdit->setText( tr2i18n( "Edit..." ) );
}

#include "ratingdisplaywidget.moc"
